## r-cran-googlesheets4 1.1.1

=== DESCRIPTION ===
Package: googlesheets4
Title: Access Google Sheets using the Sheets API V4
Version: 1.1.1
Authors@R: c(
    person("Jennifer", "Bryan", , "jenny@posit.co", role = c("cre", "aut"),
           comment = c(ORCID = "0000-0002-6983-2759")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Interact with Google Sheets through the Sheets API v4
    <https://developers.google.com/sheets/api>. "API" is an acronym for
    "application programming interface"; the Sheets API allows users to
    interact with Google Sheets programmatically, instead of via a web
    browser. The "v4" refers to the fact that the Sheets API is currently
    at version 4. This package can read and write both the metadata and
    the cell data in a Sheet.
License: MIT + file LICENSE
URL: https://googlesheets4.tidyverse.org,
        https://github.com/tidyverse/googlesheets4
BugReports: https://github.com/tidyverse/googlesheets4/issues
Depends: R (>= 3.6)
Imports: cellranger, cli (>= 3.0.0), curl, gargle (>= 1.5.0), glue (>=
        1.3.0), googledrive (>= 2.1.0), httr, ids, lifecycle, magrittr,
        methods, purrr, rematch2, rlang (>= 1.0.2), tibble (>= 2.1.1),
        utils, vctrs (>= 0.2.3), withr
Suggests: readr, rmarkdown, spelling, testthat (>= 3.1.7)
ByteCompile: true
Config/Needs/website: tidyverse, tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-06-11 01:11:05 UTC; jenny
Author: Jennifer Bryan [cre, aut] (<https://orcid.org/0000-0002-6983-2759>),
  Posit Software, PBC [cph, fnd]
Maintainer: Jennifer Bryan <jenny@posit.co>
Repository: CRAN
Date/Publication: 2023-06-11 04:00:02 UTC

## r-cran-googlesheets4 1.0.0

=== debian/changelog ===
r-cran-googlesheets4 (1.0.0-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Dec 2021 16:23:49 +0100

r-cran-googlesheets4 (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #994967)

 -- Andreas Tille <tille@debian.org>  Fri, 24 Sep 2021 09:57:44 +0200

=== debian/control ===
Source: r-cran-googlesheets4
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cellranger,
               r-cran-cli (>= 3.0.0),
               r-cran-curl,
               r-cran-gargle,
               r-cran-glue,
               r-cran-googledrive,
               r-cran-httr,
               r-cran-ids,
               r-cran-magrittr,
               r-cran-purrr,
               r-cran-rematch2,
               r-cran-rlang (>= 0.4.11),
               r-cran-tibble (>= 2.1.1),
               r-cran-vctrs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4.git
Homepage: https://cran.r-project.org/package=googlesheets4
Rules-Requires-Root: no

Package: r-cran-googlesheets4
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R access Google sheets using the sheets API V4
 Interact with Google Sheets through the Sheets API v4
 <https://developers.google.com/sheets/api>. "API" is an acronym for
 "application programming interface"; the Sheets API allows users to
 interact with Google Sheets programmatically, instead of via a web
 browser. The "v4" refers to the fact that the Sheets API is currently
 at version 4. This package can read and write both the metadata and
 the cell data in a Sheet.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/googlesheets4_([-\d.]*)\.tar\.gz

## r-cran-googlesheets4 1.0.1

=== debian/changelog ===
r-cran-googlesheets4 (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:43:25 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rematch2,
-               r-cran-rlang (>= 0.4.11),
+               r-cran-rlang (>= 1.0.2),
                r-cran-tibble (>= 2.1.1),
                r-cran-vctrs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4.git
 Homepage: https://cran.r-project.org/package=googlesheets4

## r-cran-googlesheets4 1.1.1

=== debian/changelog ===
r-cran-googlesheets4 (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 11:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,20 @@
                r-cran-cellranger,
                r-cran-cli (>= 3.0.0),
                r-cran-curl,
-               r-cran-gargle,
+               r-cran-gargle (>= 1.5.0),
                r-cran-glue,
-               r-cran-googledrive,
+               r-cran-googledrive (>= 2.1.0),
                r-cran-httr,
                r-cran-ids,
+               r-cran-lifecycle,
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rematch2,
                r-cran-rlang (>= 1.0.2),
-               r-cran-tibble (>= 2.1.1),
-               r-cran-vctrs
-Standards-Version: 4.6.1
+               r-cran-tibble,
+               r-cran-vctrs,
+               r-cran-withr
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4.git
 Homepage: https://cran.r-project.org/package=googlesheets4

## r-cran-googlesheets4 1.1.2

=== debian/changelog ===
r-cran-googlesheets4 (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Feb 2026 10:02:53 +0900

=== debian/control ===
Source: r-cran-googlesheets4
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cellranger,
 r-cran-cli,
 r-cran-curl,
 r-cran-gargle (>= 1.6.0),
 r-cran-glue,
 r-cran-googledrive (>= 2.1.0),
 r-cran-httr,
 r-cran-ids,
 r-cran-lifecycle,
 r-cran-magrittr,
 r-cran-purrr,
 r-cran-rematch2,
 r-cran-rlang,
 r-cran-tibble,
 r-cran-vctrs,
 r-cran-withr,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-googlesheets4.git
Homepage: https://cran.r-project.org/package=googlesheets4
Rules-Requires-Root: no

Package: r-cran-googlesheets4
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R access Google sheets using the sheets API V4
 Interact with Google Sheets through the Sheets API v4
 <https://developers.google.com/sheets/api>. "API" is an acronym for
 "application programming interface"; the Sheets API allows users to
 interact with Google Sheets programmatically, instead of via a web
 browser. The "v4" refers to the fact that the Sheets API is currently
 at version 4. This package can read and write both the metadata and
 the cell data in a Sheet.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-readr,
 r-cran-rmarkdown,
 r-cran-spelling,
 r-cran-testthat (>= 3.1.7),
